html {
    padding: 10px;
}

body {
    border: 1px black solid;
    box-sizing: border-box;
    justify-content: center;
    margin: 0;
}

.box_animated {
    display: flex;
    min-height: 730px;
}

.rotate_y {
    margin: auto;
    animation: spin 10s ease infinite;
    transform-style: preserve-3d;
}

.front {
    position: absolute;
    transform-style: preserve-3d;
    text-align: center;
    color: white;
    width: 100px;
    height: 100px;
    background-color: red;
    animation: front 20s linear 0s  normal infinite;
}

.back {
    position: relative;
    transform-style: preserve-3d;
    width: 100px;
    height: 100px;
    background-color: blue;
    transform: translateZ(-30px);
    animation: back 20s linear 0s   reverse infinite;
}


.front::before {
    transform-style: preserve-3d;
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: red;
    transform: translateZ(-1px);
}


.back:before {
    position: absolute;
    text-align: center;
    content: 'Back';
    color: white;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: blue;
    transform: translateZ(-1px) rotateY(180deg);
}

@keyframes spin {
    0% {
        transform: rotateY(0deg);
    }
    100% {
        transform: rotateY(360deg);
    }
}

@keyframes front {
    0% {
        transform: rotateZ(0deg);
    }
    100% {
        transform: rotateZ(360deg);
    }
}

@keyframes back {
    0% {
        transform: rotateZ(0deg) translateZ(-30px);

    }
    100% {
        transform: rotateZ(360deg) translateZ(-30px);
    }
}


